FUNCTION::PRINT_USYM(3stap)

NAME
function::print_usyms - Print out user stack from string

SYNOPSIS

    print_usyms(callers:string)

ARGUMENTS

callers
    String with list of hexadecimal (user) addresses

DESCRIPTION

This function performs a symbolic lookup of the addresses in the given string, which are assumed to be the result of prior calls to ustack, ucallers, and similar functions.

Prints one line per address, including the address, the name of the function containing the address, and an estimate of its position within that function, as obtained by usymdata. Returns nothing.

SEE ALSO
tapset::ucontext-symbols(3stap)